#
# spec file for package python-fixedint
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-fixedint
VCS: https://src.suse.de/SLFO-pool/python-fixedint#001e41a5bd6a15607e68e57c5f214f4c4ec93e2f5b2a8c24cf8bd2c489820896
Version:        0.2.0
Release:        160000.1.4
Summary:        Simple fixed-width integers
License:        Python-2.0
URL:            https://github.com/nneonneo/fixedint
Source:         https://files.pythonhosted.org/packages/source/f/fixedint/fixedint-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This module provides fixed-size integer classes which retain their fixed nature across
arithmetic operations. It is geared towards users who need to emulate machine integers.

It provides flexible classes for defining integers with a fixed number of bits, as well
as predefined classes for common machine integer sizes. These classes can be used as
drop-in replacements for int/long, and can be sliced to extract bitfields.

Mutable versions of these integers are provided, enabling usages such as emulation
of machine registers.

%prep
%setup -q -n fixedint-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc AUTHORS CHANGES README.rst
%license LICENSE
%{python_sitelib}/fixedint
%{python_sitelib}/fixedint-*.dist-info

%changelog
* Tue Mar 26 2024 adrian.glaubitz@suse.com
- Switch build system from setuptools to pyproject.toml
  + Add python-pip and python-wheel to BuildRequires
  + Replace %%python_build with %%pyproject_wheel
  + Replace %%python_install with %%pyproject_install
- Fix capitalization in Summary
- Limit Python files matched in %%files section
* Thu Mar  7 2024 adrian.glaubitz@suse.com
- Switch package to modern Python Stack on SLE-15
  + Add %%{?sle15_python_module_pythons}
  + Drop %%{?!python_module:%%define python_module() python-%%{**} python3-%%{**}}
* Wed Nov 23 2022 adrian.glaubitz@suse.com
- Initial build
  + Version 0.2.0
